#TITLE=HTML5 Elements
#INFO
Cliptext Library for HTML5
NOTE: HTML5 IS NOT YET AN APPROVED SPECIFICATION.
An approved specification is not expected before 2012.
See the HTML5 differences document and the working draft for progress.
The elements listed below are correct as at 21 July 2009
Reference:  http://www.w3.org/TR/html5/
            http://www.w3.org/TR/html5-diff/
            http://dev.w3.org/html5/markup/elements.html#elements
Author:     Peter Anderson (peterjohnanderson@gmail.com)
Licence:    Creative Commons Attribution-Noncommercial-Share Alike
            (current version) http://creativecommons.org/licenses/
Created:    Monday, 27 July 2009
Modified:   Monday, 27 July 2009

#SORT=n

#T=Comment
<!--.^!.-->
#T=Document type
<!doctype html>
#T=Hyperlink
<a>^!</a>
#T=Abbreviation
<abbr>^!</abbr>
#T=Address - contact information
<address>^!</address>
#T=Area inside an image map
<area>^!</area>
#T=Article
<article>^!</article>
#T=Aside -tangential content
<aside>^!</aside>
#T=Audio stream
<audio>^!</audio>
#T=Bold text
<b>^!</b>
#T=Base URL
<base>^!</base>
#T=BB user agent command
<bb>^!</bb>
#T=BDO - text direction display
<bdo dir="ltr | rtl">^!</bdo>
#T=Blockquote
<blockquote>^!</blockquote>
#T=Body
<body>^!</body>
#T=Break
<br>
#T=Button
<button>^!</button>
#T=Canvas for dynamic graphics
<canvas>^!</canvas>
#T=caption - table title
<caption>^!</caption>
#T=Citation
<cite>^!</cite>
#T=Code fragment
<code>^!</code>
#T=Col - attributes for table columns
<col>^!</col>
#T=Column group
<colgroup>^!</colgroup>
#T=Command button
<command>^!</command>
#T=Datagrid - data representation
<datagrid>^!</datagrid>
#T=Datalist - predefined options
<datalist>^!</datalist>
#T=Definition list description
<dd>^!</dd>
#T=Deleted text
<del>^!</del>
#T=Details (of an element)
<details>^!</details>
#T=Definition term (in-line)
<dfn>^!</dfn>
#T=Dialog definition
<dialog>^!</dialog>
#T=Division or section of a document
<div>^!</div>
#T=Definition list
<dl>^!</dl>
#T=Definition list term
<dt>^!</dt>
#T=Emphasised text
<em>^!</em>
#T=Embeded content or plugin
<embed>^!<embed/>
#T=Eventsource (?)
<eventsource>^!</eventsource>
#T=Fieldset
<fieldset>^!</fieldset>
#T=Figure - media content and caption
<figure>^!</figure>
#T=Footer for a section of a page
<footer>^!</footer>
#T=Form
<form>^!</form>
#T=Heading (1 to 6)
<h1>^!</h1>
#T=Head section of a HTML document
<head>^!</head>
#T=Header for a section of a page
<header>^!</header>
#T=Heading group
<hgroup>^!</hgroup>
#T=Horizontal rule
<hr>
#T=HTML document
<html>^!</html>
#T=Italic text
<i>^!</i>
#T=Inline sub window (frame)
<iframe>^!</iframe>
#T=Image
<img>^!</img>
#T=Input field
<input>^!</input>
#T=Inserted text
<ins>^!</ins>
#T=Keyboard text
<kbd>^!</kbd>
#T=Key-pair generation
<keygen>^!</keygen>
#T=Label for a form control
<label>^!</label>
#T=Legend title in a fieldset
<legend>^!</legend>
#T=List item
<li>^!</li>
#T=Link (resource reference)
<link>^!</link>
#T=Image map
<map>^!</map>
#T=Marked text
<mark>^!</mark>
#T=Menu list
<menu>^!</menu>
#T=Meta information
<meta>^!</meta>
#T=Measurement within a predefined range
<meter>^!</meter>
#T=Navigation links
<nav>^!</nav>
#T=Noscript section
<noscript>^!</noscript>
#T=Object (embedded multimedia)
<object>^!</object>
#T=Ordered list
<ol>^!</ol>
#T=Option group
<optgroup>^!</optgroup>
#T=Option in a drop-down list
<option>^!</option>
#T=Output types
<output>^!</output>
#T=Paragraph
<p>^!</p>
#T=Parameter for an object
<param>^!</parm>
#T=Preformatted text
<pre>^!</pre>
#T=Progress of a task
<progress>^!</progress>
#T=Quotation (short)
<q>^!</q>
#T=Ruby parenthesis
<rp>^!</rp>
#T=Ruby text
<rt>^!</rt>
#T=Ruby annotation
<ruby>^!</ruby>
#T=Sample computer code
<samp>^!</samp>
#T=Script
<script>^!</script>
#T=Section
<section>^!</section>
#T=Selectable list
<select>^!</select>
#T=Small text
<small>^!</small>
#T=Source (media resource)
<source>^!</source>
#T=Span content
<span>^!</span>
#T=Strong (important) text
<strong>^!</strong>
#T=Style definition
<style>^!</style>
#T=Subscripted text
<sub>^!</sub>
#T=Superscripted text
<sup>^!</sup>
#T=Table
<table>^!</table>
#T=Table body row(s)
<tbody>^!</tbody>
#T=Table cell
<td>^!</td>
#T=Text area
<textarea>^!</textarea>
#T=Table footer row(s)
<tfoot>^!</tfoot>
#T=Table header cell
<th>^!</th>
#T=Table header row(s)
<thead>^!</thead>
#T=Time/date definition
<time>^!</time>
#T=Document title
<title>^!</title>
#T=Table row
<tr>^!</tr>
#T=Unordered list
<ul>^!</ul>
#T=Variable
<var>^!</var>
#T=Video
<video>^!</video>
